Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Interface Locatable

All Superinterfaces:
  java.lang.Cloneable, java.lang.Comparable, Persistent, java.io.Serializable

All Known Subinterfaces:
  AlleleFeature, DnaDnaAlignFeature, DnaDnaAlignment, DnaProteinAlignment, Exon, Feature, FeaturePair, Gene, LDFeature, MarkerFeature, MiscFeature, OligoFeature, PredictionExon, PredictionTranscript, ProteinFeature, QtlFeature, RepeatFeature, Sequence, SimpleFeature, Transcript, VariationFeature, VariationGroupFeature

All Known Implementing Classes:
  org.ensembl.datamodel.impl.BaseFeatureImpl, org.ensembl.datamodel.impl.LocatableImpl

public interface Locatable
extends java.lang.Cloneable, Persistent, java.lang.Comparable

Genome feature with a location on genome.

Method Summary
`Location` | `getLocation()`
`Sequence` | `getSequence()` Sequence at this genomic location.
`void` | `setCoordinateSystem(CoordinateSystem coordinateSystem, LocationConverter locationConverter)` Converts location to the specified coordinateSystem using the specified locationConverter.
`void` | `setLocation(Location location)`
`void` | `setSequence(Sequence sequence)`

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getLocation

    public Location getLocation()

### setLocation

    public void setLocation(Location location)

### setCoordinateSystem

    public void setCoordinateSystem(CoordinateSystem coordinateSystem,
                                    LocationConverter locationConverter)
                             throws AdaptorException

  Converts location to the specified coordinateSystem using the specified locationConverter. Does nothing if location is null.

  Parameters:
    `coordinateSystem` - target coordinate system for location.
    `locationConverter` - converter to use to convert current location into target coordinate system.
  Throws:
    `AdaptorException`

### getSequence

    public Sequence getSequence()

  Sequence at this genomic location.

  Returns:
    Sequence at this genomic location.

### setSequence

    public void setSequence(Sequence sequence)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD